This API is used for Merchant/Partner to apply for payment (like periodic and non-periodic debit),
requests will be processed asynchronously and result will be notified via webhook.
*This API is only available for whitelisted merchants. If you need any help, you can contact us:
[email protected]
EndPoint
Code
POST /binancepay/openapi/pay/apply
Request Parameters
Attributes
Type
Required
Limitation
Description
subMerchantId
string
N
maximum length 19
The sub merchant account id, issued when sub merchant been created at Binance, The parameter subMerchantId is required when configuring show subMerchant info.
merchantRequestId
string
Y
letter or digit, no other symbol allowed, maximum length 32
The order id, Unique identifier for the request, idempotent result will be returned for same requestId
tradeMode
string
Y
"DIRECT_DEBIT"
bizId
Long
Y
number
business orderId like contractId
preBizId
Long
N
number
prerequisite orderId like pay notification orderId for periodic debit scenario
amount
decimal
Y
Max Unit Range: 8 decimal places
Amount to be deducted, please ensure the amount do not exceed the singleUpperLimit of the contract.
productType
string
N
maximum length 16
product type
productName
string
Y
maximum length 256
product name
productDetail
string
N
maximum length 256
product detail
webhookUrl
string
N
maximum length 256. Can only start with http or https.
The URL for order notification. If the webhookUrl is passed in the parameter, the webhook url configured on the merchant platform will not take effect, and the currently passed url will be called back first.